Bug 195628 - Draws without clicking the mouse and out of screen
Draws without clicking the mouse and out of screen
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
8
All Linux
medium Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-15 20:47 EDT by Amadeus
Modified: 2009-01-09 01:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:57:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Wierd pixels inside and outside of drawing area (158.93 KB, image/png)
2006-06-15 20:47 EDT, Amadeus
no flags Details
X server config file (602 bytes, application/octet-stream)
2007-12-20 08:37 EST, Michal Zamazal
no flags Details
X server log file (58.34 KB, text/plain)
2007-12-20 08:38 EST, Michal Zamazal
no flags Details
X server log file, started without xorg.conf (61.54 KB, application/octet-stream)
2007-12-20 08:40 EST, Michal Zamazal
no flags Details

  None (edit)
Description Amadeus 2006-06-15 20:47:06 EDT
Description of problem:
Wierd pixels are drawn when I move the mouse.

I can even draw the same wierd pixels out side of the drawing area, and still
with out clicking the mouse.

See attached screenshot.

Version-Release number of selected component (if applicable):
gimp-2.2.11-0.fc5.3

How reproducible:
Everytime!

Steps to Reproduce:
1. Open Gimp.
2. File->New->Okay
3. Move the mouse around.
   
Actual results:
It draws pixels inside and out side of the drawing area.

Expected results:
It Should not draw pixels inside and out side of the drawing area.

Additional info:
My hardware is:
AMD64 3200+
Mainboard: Asus A8N-VM CSM with nForce 430 chipset.

I am using the onboard graphicscard which uses a shared memory of 16MB. Could be
bug have something to do what that?
Comment 1 Amadeus 2006-06-15 20:47:07 EDT
Created attachment 131017 [details]
Wierd pixels inside and outside of drawing area
Comment 2 Amadeus 2006-06-15 20:49:24 EDT
I have a similar problem when returning from text mode. Please see
No mouse and very wrong colors when returning from text mode
Bug #195627
Comment 3 Nils Philippsen 2007-02-01 11:30:53 EST
If all goes as planned, I'll soon have an x86_64 machine with which I can test
this. Meanwhile, does this problem still show with a current gimp package
(gimp-2.2.13-1)?
Comment 4 Amadeus 2007-02-09 11:44:15 EST
I don't know.

Installing the nVidia drivers "resolved" the problem...
Comment 5 Nils Philippsen 2007-11-07 07:51:19 EST
Does this problem still exist on current Fedora versions (F7, (preferrably) F8)?
Comment 6 Michal Zamazal 2007-12-16 09:56:57 EST
I have the same problem with Gimp on F8. Before reinstall from FC6 it was OK.
HW: Athlon XP, ATI Radeon 7000.
Comment 7 Nils Philippsen 2007-12-17 05:47:24 EST
Michal, I assume that this is a problem in the X server/driver, possibly related
to bug #182517 (even though you have different hardware). I'll change the
component to xorg-x11-drv-ati and reassign.
Comment 8 Matěj Cepl 2007-12-19 09:52:57 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 9 Michal Zamazal 2007-12-20 08:37:29 EST
Created attachment 290151 [details]
X server config file
Comment 10 Michal Zamazal 2007-12-20 08:38:49 EST
Created attachment 290152 [details]
X server log file
Comment 11 Michal Zamazal 2007-12-20 08:40:05 EST
Created attachment 290153 [details]
X server log file, started without xorg.conf
Comment 12 Bug Zapper 2008-11-26 01:59:20 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-01-09 01:57:38 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.